package uam.patrones.proxy.principal;

import uam.patrones.proxy.operaciones.ClaseDecoradora;
import uam.patrones.proxy.operaciones.ClaseDecoradoraImp;
import uam.patrones.proxy.operaciones.ClaseProxy;
import uam.patrones.proxy.operaciones.OperacionesAlumno;
import uam.patrones.proxy.operaciones.OperacionesAlumnoImpl;

public class Principal {

	public static void main(String[] args) {
		
		OperacionesAlumno 
		operacionesAlumno = new OperacionesAlumnoImpl();
		
		operacionesAlumno.almacenarAlumno();
		
		OperacionesAlumno operacionesAlumnoProxy = new ClaseProxy();
		
		operacionesAlumnoProxy.almacenarAlumno();
		
		ClaseDecoradoraImp decorador = new ClaseDecoradoraImp();
		
		decorador.almacenarAlumno();
		decorador.otraFuncionalidad();
		decorador.otraNuevaFuncionalidad();
		

	}

}
