package uam.patrones.proxy.operaciones;

public class ClaseProxy implements OperacionesAlumno{

	OperacionesAlumnoImpl operaciones;
	
	
	public ClaseProxy() {
		operaciones = new OperacionesAlumnoImpl();
	}
	
	@Override
	public void almacenarAlumno() {
		
		validarAlumno();
		operaciones.almacenarAlumno();
		almacenarBaseSecundaria();
		
	}
	
	private void validarAlumno() {
		System.out.println("Validando al alumno");
	}
	
	private void almacenarBaseSecundaria() {
		System.out.println("Almacenamiento secundario");
	}
	

}
